# emacsd

my personal emacs configuration.

## What about personal information?

I'm using emacs `custom` facility in three ways:

- Keep the platform specific settings (e.g. directories) separated
  from the generic configuration

- If required override (sane) default settings made in `init.el`

- Keep that file with all mail addresses and server information
  private (IMHO it's uninteresting as such) and just share the
  public part of my configuration in this repository

This configuration is accomplished by a `netrc` file storing relevant
server passwords.

## Information stored in custom.el

`custom.el` contains the following system directories and account
information.

- `deft-directory` some place at my home directory

- `fdm-config-file` default config for fdm at my home directory
- `dired-listing-switches` (override) I'm using OpenBSD where `ls` behaves differently then under GNU/Linux
- `gnus-posting-styles` auto selection if I reply to a certain sender
  from one of my mail accounts
  
```emacs-lisp
(gnus-posting-styles
'(("account1"
   (address "bob <bob@example.com>")
   (gcc "\"nnimap+account1:Sent\"")
   ("X-Message-SMTP-Method" "smtp example.com 587 bob@example.com"))))
```
   
- `gnus-secondary-select-methods`  fetching my mails locally via
  `fdm` that's why most configuration are just some folder in my home
  directory

```emacs-lisp
(gnus-secondary-select-methods
 '((nnmaildir "account1"
              (directory "~/.mail/account1/"))
	(nnmaildir "rss"
	          (directory "~/.mail/rss"))
	(nnimap "account2"
	        (nnimap-address "mail.example.com")
			(nnimap-server-port "imaps")
			(nnimap-stream ssl)
			(nnir-search-engine imap))))
```

- `org-agenda-files` and `org-directory` where org-mode is looking for information
- `org-babel-do-load-languages` especially execution pathes for all interpreters
- `rcirc-default-nick` just guess :-)
