;;; dak-notes.el --- Personal note taking system     -*- lexical-binding: t; -*-

;; Copyright (C) 2023  dak

;; Author: dak <dak@kingpin.fritz.box>
;; Keywords: convenience, convenience, convenience

;;; Code:

(defgroup dak-notes nil
  "personal custom variables for my note taking system."
  :group 'convenience)

(defcustom dak-notes-directory ""
  "Set notes directory"
  :group 'dak-notes
  :type 'string)

(defcustom dak-reference-directory ""
  "Set reference directory"
  :group 'dak-notes
  :type 'string)


;; todo complete-read of candidate list
;;;###autoload
(defun dak-notes-deft ()
  "quickly grepping my notes"
  (interactive)
  (require 'grep)
  (let* ((regexp (grep-read-regexp))
	 (files "*.org")
	 (dir (expand-file-name dak-notes-directory))
	 (command (concat "grep -nH " "\""regexp"\"" " " dir files)))
    (grep command)))

;;;###autoload
(defun dak-notes-create-with-title--fn ()
  "Function using for visiting a file and insert a title."
  (let ((title (read-string "Title: ")))
    (when (not (string-empty-p title))
      (let* ((slug (replace-regexp-in-string " " "-" (downcase title)))
	     (path (expand-file-name (concat slug ".org") dak-notes-directory))) 
	(set-buffer (org-capture-target-buffer path))
	;; moves point forward
	(insert "#+TITLE: " title "\n")))))

(provide 'dak-notes)
