
;; from ambrevar

(defun elfeed-x-play-with-mpv ()
  "Play entry link with mpv."
  (interactive)
  (let ((entry (if (eq major-mode 'elfeed-show-mode) elfeed-show-entry (elfeed-search-selected :single)))
        (quality-arg "")
        (quality-val (completing-read "Max height resolution (0 for unlimited): " '("0" "480" "720") nil nil)))
    (setq quality-val (string-to-number quality-val))
    (message "Opening %s with height≤%s with mpv..." (elfeed-entry-link entry) quality-val)
    (when (< 0 quality-val)
      (setq quality-arg (format "--ytdl-format=[height<=?%s]" quality-val)))
    (start-process "elfeed-mpv" nil "mpv" quality-arg (elfeed-entry-link entry))))

(defvar elfeed-x-visit-patterns
  '(("//[^/]*youtu\\.?be" . elfeed-x-play-with-mpv))
  "List of regexp to match against elfeed entry link to know
whether to use mpv to visit the link.")

;;;###autoload
(defun elfeed-x-visit-maybe-external ()
  "Play in mpv if entry link matches `elfeed-visit-patterns', visit otherwise.
See `elfeed-x-play-with-mpv'."
  (interactive)
  (let ((entry (if (eq major-mode 'elfeed-show-mode)
		   elfeed-show-entry
		 (elfeed-search-selected :single)))
        (patterns elfeed-x-visit-patterns))
    (while (and patterns (not (string-match (caar patterns) (elfeed-entry-link entry))))
      (setq patterns (cdr patterns)))
    (cond
     (patterns
      (elfeed-untag entry 'unread)
      (elfeed-search-update-entry entry)
      (funcall (cdar patterns)))
     ((eq major-mode 'elfeed-search-mode)
      (call-interactively 'elfeed-search-show-entry))
     (t (elfeed-show-visit)))))


(provide 'elfeed-x)

		      
