;;; fill-x.el --- extra functions for filling        -*- lexical-binding: t; -*-

;; Copyright (C) 2023  dak

;; Author: dak <dak@kingpin.fritz.box>
;; Keywords: convenience,

;; http://endlessparentheses.com/fill-and-unfill-paragraphs-with-a-single-key.html
;;;###autoload
(defun fill-x-fill-or-unfill ()
  "Like `fill-paragraph', but unfill if used twice."
  (interactive)
  (let ((fill-column
         (if (eq last-command 'fill-x-fill-or-unfill)
             (progn (setq this-command nil)
                    (point-max))
           fill-column)))
    (call-interactively #'fill-paragraph)))


(provide 'fill-x)
