(require 'tempo)

(defvar html-tempo-tags nil
	"An association list with html tags.")

(defun init-html-tempo-templates ()
  (setq tempo-match-finder "\\(\\.[a-z0-9]+\\)\\=")
  (tempo-use-tag-list 'html-tempo-tags))

(tempo-define-template "html-code"
		       '(> "<code>"r"</code>")
		       ".code"
		       "insert inline code"
		       'html-tempo-tags)

(tempo-define-template "html-header-1"
		       '(> "<h1>"r"</h1>")
		       ".h1"
		       "insert header lvl 1"
		       'html-tempo-tags)

(tempo-define-template "html-header-2"
		       '(> "<h2>"r"</h2>")
		       ".h2"
		       "insert header lvl 2"
		       'html-tempo-tags)

(tempo-define-template "html-pre-code"
		       '(> "<pre><code>"r"</code></pre>")
		       ".source"
		       "insert code block"
		       'html-tempo-tags)

(tempo-define-template "html-quote"
		       '(> "<blockquote>"r"</blockquote>")
		       ".quote"
		       "insert block quote"
		       'html-tempo-tags)

(tempo-define-template "html-ul"
		       '(> "<ul>"r"</ul>")
		       ".ul"
		       "insert unsorted list"
		       'html-tempo-tags)

(tempo-define-template "html-li"
		       '(> "<li>"r"</li>")
		       ".li"
		       "insert list item"
		       'html-tempo-tags)

(tempo-define-template "html-p"
		       '(> "<p>"r"</p>")
		       ".p"
		       "insert paragraph"
		       'html-tempo-tags)



(add-hook 'html-mode-hook 'init-html-tempo-templates)

(provide 'html-tempo-snippets)
