;;; ispell-x.el --- extra functions for spelling        -*- lexical-binding: t; -*-

;; Copyright (C) 2023  dak

;; Author: dak <dak@kingpin.fritz.box>
;; Keywords: convenience,


;; https://alexschroeder.ch/cgit/emacs-setup/tree/config/spell-conf.el
;;;###autoload
(defun ispell-change-dict-to-german ()
  "Switch ispell dictionary to 'deutsch'."
  (interactive)
  (ispell-change-dictionary "german8")
  (flyspell-run-and-check)
  (set-input-method 'german-prefix))

;;;###autoload
(defun ispell-change-dict-to-english ()
  "Switch ispell dictionary to 'en_US'."
  (interactive)
  (ispell-change-dictionary "en_US")
  (flyspell-run-and-check)
  (set-input-method nil))

(defun flyspell-run-and-check ()
  "Ensure flyspell is running."
  (interactive)
  (unless flyspell-mode
    (flyspell-mode t))
  (flyspell-buffer))

(provide 'ispell-x)
