;;; tempo-x.el --- tempo mode custom extensions      -*- lexical-binding: t; -*-

;; Copyright (C) 2023  dak

;; Author: dak <dak@kingpin.fritz.box>
;; Keywords: tools

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; 

;;; Code:
(require 'tempo)

(defadvice tempo-define-template (after no-self-insert-in-abbrevs activate)
  "skip self-insert if template function is called by an abbrev."
  (put (intern (concat "tempo-template-" (ad-get-arg 0))) 'no-self-insert t))


(defun tempo-hippie-try-expand (first-time?)
  "Integrate with hippie expand.

Just put this function in `hippie-expand-try-function-list'."
  (if (not first-time?)
      (tempo-complete-tag)
    (undo 1)
    nil))

(provide 'tempo-x)
;;; tempo-x.el ends here
